# Service Documentation

Clicking from [Folder overview](/navigation/folder-overview.md) into a specific service opens up the *Service Documentation* page. The first page shows a dashboard with a summary of the recent usage for the particular Spark service. In addition to this, the *Service Documentation* page provides an overview of the different properties associated with the selected service. The properties are setup into different categories:

* [#upload-details](#upload-details "mention") This includes information relating to the uploaded and Spark's conversion to code.
* [#version-details](#version-details "mention") This includes properties that are specific to a particular version of a service.
* [#service-details](#service-details "mention") This includes properties that relate to a service.
* [#inputs-and-outputs](#inputs-and-outputs "mention") This is a list of the Spark inputs and outputs that have been defined on the Excel file.

An alternative way to access this feature from another service screen is to choose the ![](/files/fX44oVHKD9JTbNvnN8xf) *Service Documentation* icon from the service sidebar.

## Service properties

The *Service Documentation* pages are used to review and modify service properties for each service. The page displays the service properties information for the latest service version only.

### Upload details

This includes information relating to the uploaded Excel file and the [Neuron](/build-spark-services/neuron.md) conversion to code.

| Key                            | Value                                                                                                                                                      |
| ------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *Version*                      | Spark semantic version number.                                                                                                                             |
| *Filename*                     | Filename of the uploaded file.                                                                                                                             |
| *File size*                    | File size of the uploaded file.                                                                                                                            |
| *Number of sheets*             | Number of worksheets in the Excel workbook.                                                                                                                |
| *Cells with data*              | The Cells with data should correspond with Excel's Review, *Workbook Statistics* feature that counts the number of used cells and formulas.                |
| *LAMBDA functions in workbook* | Indicator for the presence of any Excel `LAMBDA()` functions in the workbook.                                                                              |
| *Date added*                   | The time the file was uploaded to Spark.                                                                                                                   |
| *Added by*                     | User account of the user who uploaded the service version.                                                                                                 |
| *Spark environment URL*        | This is the base URL that is used to invoke [Spark APIs](/spark-apis/getting-started.md).                                                                  |
| *File UUID*                    | A generated universally unique identifier (UUID) for the uploaded file.                                                                                    |
| *File hash*                    | MD5 hash generated for the uploaded file.                                                                                                                  |
| *Conversion time*              | The time to process the conversion of the Excel file.                                                                                                      |
| *OriginalServiceHash*          | `SHA-256` hash of the originally uploaded Excel file, i.e. Original Service. Can be used to confirm if the files used are the same.                        |
| *CompiledOutputHash*           | `SHA-256` hash of the compiled Neuron Wasm. Can be used to confirm whether the distributed code is the same as what was originally compiled.               |
| *Upload log*                   | This button displays the modal described in[How to: Create a Spark service](/build-spark-services/how-to-create-a-spark-service.md#review-the-upload-log). |

### Version details

This includes all the properties that are specific to a particular version of a service. Note that changing any of these fields will update the Spark service to a new version.

| Key                                                             | Value                                                                                                                                                                                                                                                                                                                               |
| --------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *Version*                                                       | Spark semantic version number.                                                                                                                                                                                                                                                                                                      |
| *Version label*                                                 | Text field that attaches to version numbers across the Spark user interface. This can be provided as part of the upload journey.                                                                                                                                                                                                    |
| *Release notes*                                                 | Text field to describe the purpose of the upload. This can be provided as part of the upload journey.                                                                                                                                                                                                                               |
| *Description*                                                   | This is another field that can be used to describe the service. This can be provided as part of the upload journey.                                                                                                                                                                                                                 |
| *Tags*                                                          | Tags that were added to the service.                                                                                                                                                                                                                                                                                                |
| *Added by*                                                      | User account of the user who uploaded the service version.                                                                                                                                                                                                                                                                          |
| *Date added*                                                    | Login for the person who uploaded this file.                                                                                                                                                                                                                                                                                        |
| *Effective from*                                                | See [Manage service versions and effective dates](/build-spark-services/manage-versions-and-effective-dates.md)for more information about how this is used. This is entered as part of the upload journey.                                                                                                                          |
| *Effective until*                                               | See [Manage service versions and effective dates](/build-spark-services/manage-versions-and-effective-dates.md)for more information about how this is used. This is entered as part of the upload journey.                                                                                                                          |
| *Default service type*                                          | Defines the default service type used as a default for this Spark service. Service type relates to the Spark `compiler_type` used (e.g. `Neuron` or `XConnector`).                                                                                                                                                                  |
| *Compiler version*                                              | Compiler version used for this service service version.                                                                                                                                                                                                                                                                             |
| *Compiler version service update*                               | Define which Neuron version to use for a service update. Learn more about how to [Manage tenant settings](/tenant-administration/manage-tenant-settings.md#choose-the-neuron-compiler-version-for-additional-service-versions).                                                                                                     |
| *Enable API Call History*                                       | This setting determines whether the [API Call History](/navigation/api-call-history.md) is enabled.                                                                                                                                                                                                                                 |
| *Direct addressing outputs enabled (Neuron 1.16.0 and earlier)* | See [Execute API (v3)](/spark-apis/execute-api/execute-api-v3.md) [Execute API (v3)](/spark-apis/execute-api/execute-api-v3.md#request_meta) `requested_outputs`for more details. For [Neuron](/build-spark-services/neuron.md) `1.17.0` and later this property is ignored.                                                        |
| *Batch size override*                                           | Sets the number of records that are processed at a time in the [Testing Center](/navigation/testing-center.md).                                                                                                                                                                                                                     |
| *Parameterset compatibility group*                              | This is only applicable to services that contain `Xparameter`. Every Service version is tied to a parameter set compatibility group. Learn more about how to manage service parameters. Learn more about how to [Manage service parameters (Xparameter)](/build-spark-services/other-mapping-options/manage-service-parameters.md). |
| *Version ID*                                                    | A generated universally unique identifier (UUID) for this particular service version. This can be used to identify a service as part of the [Execute API](/spark-apis/execute-api.md).                                                                                                                                              |

### Service details

This includes properties that relate to a service.

| Key                      | Value                                                                                                                                                                          |
| ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *Initial version author* | User account of the user who uploaded the service version.                                                                                                                     |
| *Public API enabled*     | This determines whether this version of a service can be accessed without authentication. Read more: [Authorization - Public APIs](/spark-apis/authorization-public-apis.md)   |
| *Public API URI*         | This is one of the endpoints that can be used to access the Public API endpoint.                                                                                               |
| *XConnector URL*         | If API call the `compiler_type` is `XConnector`, the API call will be sent to this URL.                                                                                        |
| *Service ID*             | A generated universally unique identifier (UUID) for this particular service. This can be used to identify a service as part of the [Execute API](/spark-apis/execute-api.md). |

### Inputs and outputs

This is a list of the Spark inputs and outputs that have been defined on the Excel file.

| Key             | Value                                                                                                   |
| --------------- | ------------------------------------------------------------------------------------------------------- |
| *Name*          | The name of this input/output.                                                                          |
| *Sheet*         | The Excel worksheet where the input/output was defined.                                                 |
| *Address*       | Within the Excel worksheet, the range address where the input/output was defined.                       |
| *Data type*     | `Date`, `NUMBER`, or `TEXT`.                                                                            |
| *Initial value* | For *Inputs*, any value that exists in the cell or evaluated from a formula from an input/output range. |
| *Description*   | This is read from Excel's *New Name* *Comment* field.                                                   |

## **Modify a service property**

A number of the *Service Documentation* properties can be modified. For example to add a description to a service:

1. Change any of the editable fields on the *Service Documentation* screens.
2. Click **Update**.
3. Choose between making a new version of the service or editing the same service version.
4. Follow the prompts to proceed with the change.

### **Change the Default Service Type**

All uploads to Spark will use the new [Neuron](/build-spark-services/neuron.md) Excel engine. However the legacy Excel engines are provided for customers using older versions of Spark.

This property determines the default Excel engine used for:

* [API Tester](/navigation/api-tester.md) service type (can be modified).
* [Testing Center](/navigation/testing-center.md) service type (can be modified).
* [Execute API (v3)](/spark-apis/execute-api/execute-api-v3.md) [Execute API (v3)](/spark-apis/execute-api/execute-api-v3.md#request_meta) where `compiler_type` is not provided.

In the event it is necessary to change the "Default service type", this can be modified in [#version-details](#version-details "mention").

* When [Version Overview](/navigation/version-overview.md#downloading-the-service-excel-file), choosing a Configured Service saves this property. This property will be reused as part of [Folder overview](/navigation/folder-overview.md#how-to-add-a-service).
* This Service Property can also be overridden from Excel using a named range `XPROPERTY_DefaultEngineType`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coherent.global/navigation/service-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
